{ config, lib, pkgs, inputs, ... }:

with lib;
with lib.my;
let cfg = config.modules.desktop.apps.thunderbird;
in {
  options.modules.desktop.apps.thunderbird = {
    enable = mkBoolOpt false;
  };
  
  config = mkIf cfg.enable {
    home.file.".mozilla/thunderbird/Default/chrome/thunderbird-gnome-theme".source = inputs.thunderbird-gnome-theme;

    home.programs.thunderbird = {
      enable = true;
      profiles.Default = {
        isDefault = true;
        userChrome = ''
          @import "thunderbird-gnome-theme/userChrome.css";
        '';
        userContent = ''
          @import "thunderbird-gnome-theme/userContent.css";
        '';
        settings = {
          ## GNOME theme
          "toolkit.legacyUserProfileCustomizations.stylesheets" = true;
          "svg.context-properties.content.enabled" = true;
        };
      };
    };
  };
}
